| Irrlicht 3D Engine |

Public Member Functions
irr::scene::ITextSceneNode Class Reference

A scene node for displaying 2d text at a position in three dimensional space. More...

`#include <ITextSceneNode.h>`

Inheritance diagram for irr::scene::ITextSceneNode:

List of all members.

## Public Member Functions

- ITextSceneNode (ISceneNode *parent, ISceneManager *mgr, s32 id, const core::vector3df &position=core::vector3df(0, 0, 0))
    constructor
- virtual void setText (const wchar_t *text)=0
    sets the text string
- virtual void setTextColor (video::SColor color)=0
    sets the color of the text

## Detailed Description

A scene node for displaying 2d text at a position in three dimensional space.

Definition at line 16 of file ITextSceneNode.h.

## Constructor & Destructor Documentation

irr::scene::ITextSceneNode::ITextSceneNode | ( | ISceneNode * | parent,
|  | ISceneManager * | mgr,
|  | s32 | id,
|  | const core::vector3df & | position = `core::vector3df(0,0,0)`
| ) |  | `[inline]`

constructor

Definition at line 21 of file ITextSceneNode.h.

## Member Function Documentation

virtual void irr::scene::ITextSceneNode::setText | ( | const wchar_t * | text | ) | `[pure virtual]`

sets the text string

virtual void irr::scene::ITextSceneNode::setTextColor | ( | video::SColor | color | ) | `[pure virtual]`

sets the color of the text

The documentation for this class was generated from the following file:

- ITextSceneNode.h